#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                   taffybar
version:                4.0.3
visibility:             public
id:                     taffybar-4.0.3-H3al29vQKA6GGxaoxek8OT
key:                    taffybar-4.0.3-H3al29vQKA6GGxaoxek8OT
license:                BSD-3-Clause
maintainer:             IvanMalison@gmail.com
author:                 Ivan Malison
homepage:               http://github.com/taffybar/taffybar
synopsis:               A desktop bar similar to xmobar, but with more GUI
category:               System
abi:                    44eeff39908ce487c487995d049be8ae
exposed:                True
exposed-modules:
    System.Taffybar System.Taffybar.Auth System.Taffybar.Context
    System.Taffybar.DBus System.Taffybar.DBus.Toggle
    System.Taffybar.Example System.Taffybar.Hooks
    System.Taffybar.Information.Battery System.Taffybar.Information.CPU
    System.Taffybar.Information.CPU2 System.Taffybar.Information.Chrome
    System.Taffybar.Information.Crypto
    System.Taffybar.Information.DiskIO
    System.Taffybar.Information.EWMHDesktopInfo
    System.Taffybar.Information.MPRIS2
    System.Taffybar.Information.Memory
    System.Taffybar.Information.Network
    System.Taffybar.Information.SafeX11
    System.Taffybar.Information.StreamInfo
    System.Taffybar.Information.X11DesktopInfo
    System.Taffybar.Information.XDG.Protocol
    System.Taffybar.LogFormatter System.Taffybar.SimpleConfig
    System.Taffybar.Support.PagerHints System.Taffybar.Util
    System.Taffybar.Widget System.Taffybar.Widget.Battery
    System.Taffybar.Widget.CPUMonitor
    System.Taffybar.Widget.CommandRunner System.Taffybar.Widget.Crypto
    System.Taffybar.Widget.DiskIOMonitor
    System.Taffybar.Widget.FSMonitor
    System.Taffybar.Widget.FreedesktopNotifications
    System.Taffybar.Widget.Generic.AutoSizeImage
    System.Taffybar.Widget.Generic.ChannelGraph
    System.Taffybar.Widget.Generic.ChannelWidget
    System.Taffybar.Widget.Generic.DynamicMenu
    System.Taffybar.Widget.Generic.Graph
    System.Taffybar.Widget.Generic.Icon
    System.Taffybar.Widget.Generic.PollingBar
    System.Taffybar.Widget.Generic.PollingGraph
    System.Taffybar.Widget.Generic.PollingLabel
    System.Taffybar.Widget.Generic.VerticalBar
    System.Taffybar.Widget.Layout System.Taffybar.Widget.MPRIS2
    System.Taffybar.Widget.NetworkGraph System.Taffybar.Widget.SNITray
    System.Taffybar.Widget.SimpleClock
    System.Taffybar.Widget.SimpleCommandButton
    System.Taffybar.Widget.Text.CPUMonitor
    System.Taffybar.Widget.Text.MemoryMonitor
    System.Taffybar.Widget.Text.NetworkMonitor
    System.Taffybar.Widget.Util System.Taffybar.Widget.Weather
    System.Taffybar.Widget.Windows System.Taffybar.Widget.Workspaces
    System.Taffybar.Widget.WttrIn System.Taffybar.Widget.XDGMenu.Menu
    System.Taffybar.Widget.XDGMenu.MenuWidget
    System.Taffybar.WindowIcon

hidden-modules:
    Paths_taffybar System.Taffybar.DBus.Client.MPRIS2
    System.Taffybar.DBus.Client.Params
    System.Taffybar.DBus.Client.UPower
    System.Taffybar.DBus.Client.UPowerDevice
    System.Taffybar.DBus.Client.Util

import-dirs:            /usr/lib/ghc-9.4.8/site-local/taffybar-4.0.3
library-dirs:           /usr/lib/ghc-9.4.8/site-local/taffybar-4.0.3
library-dirs-static:    /usr/lib/ghc-9.4.8/site-local/taffybar-4.0.3
dynamic-library-dirs:   /usr/lib
data-dir:               /usr/share/taffybar
hs-libraries:           HStaffybar-4.0.3-H3al29vQKA6GGxaoxek8OT
extra-libraries:
    gtk-3 gdk-3 z pangocairo-1.0 cairo-gobject gdk_pixbuf-2.0 atk-1.0
    pango-1.0 cairo harfbuzz gio-2.0 gobject-2.0 glib-2.0

extra-libraries-static:
    gtk-3 gdk-3 z pangocairo-1.0 m Xrandr Xcursor Xcomposite Xdamage
    Xinerama cloudproviders cairo-gobject m dl gdk_pixbuf-2.0 m tiff
    jbig z m zstd lzma pthread jpeg atk-bridge-2.0 atspi Xtst Xi Xfixes
    atk-1.0 dbus-1 systemd xkbcommon wayland-cursor wayland-egl
    wayland-client m rt epoxy dl GL EGL pangoft2-1.0 m pango-1.0 m
    fribidi thai datrie Xft cairo m dl fontconfig m expat m Xext
    Xrender X11 pthread xcb-render xcb-shm xcb Xau Xdmcp pixman-1 m
    harfbuzz-gobject harfbuzz m freetype bz2 png16 m m brotlidec
    brotlicommon graphite2 gio-2.0 gobject-2.0 ffi gmodule-2.0 glib-2.0
    m pcre2-8 z mount blkid sysprof-capture-4

include-dirs:
    /usr/include/gtk-3.0 /usr/include/pango-1.0
    /usr/include/cloudproviders /usr/include/cairo
    /usr/include/gdk-pixbuf-2.0 /usr/include/at-spi2-atk/2.0
    /usr/include/at-spi-2.0 /usr/include/atk-1.0 /usr/include/dbus-1.0
    /usr/lib/dbus-1.0/include /usr/include/fribidi
    /usr/include/pixman-1 /usr/include/harfbuzz /usr/include/freetype2
    /usr/include/libpng16 /usr/include/gio-unix-2.0
    /usr/include/glib-2.0 /usr/lib/glib-2.0/include
    /usr/include/libmount /usr/include/blkid /usr/include/sysprof-6

depends:
    HStringTemplate-0.8.8-6QVBvjiNeUGDmR6DKmKg0i
    X11-1.10.3-HY7umS8ccX59RQt2R5Ezi2
    aeson-2.1.2.1-Ex7WnNUT1auEGSF1Md5zyM
    ansi-terminal-1.0-LkJ9SxmfbHcAL1Z7MEt8xc base-4.17.2.1
    broadcast-chan-0.2.1.2-EL2bp18GDj1Y8ziKOtHVF bytestring-0.11.5.3
    conduit-1.3.6.1-IZ8OSXmnRyPK1N2pz1JDDM containers-0.6.7
    data-default-0.7.1.1-HuI8bY4bNR4F11jcRg6vOi
    dbus-1.3.1-8AUWsiltSiQJiHPwGAjpVc
    dbus-hslogger-0.1.0.1-FxMe9oun3DFGiiqkyyqILz directory-1.3.7.1
    dyre-0.9.2-6xsWj8cnPnO43rkWvoQDdD
    either-5.0.2-1jAiSBODBovFXZR20wSJZx
    enclosed-exceptions-1.0.3-JVnN5NWWFhX4mJXzV6yHP3 filepath-1.4.2.2
    gi-cairo-connector-0.1.1-B313aejCOGW2oiNl7YBc1e
    gi-cairo-render-0.1.2-IneaYBfsDASKsCTbWzcdMF
    gi-gdk-3.0.26-I6wCGrYqoE9G52xmJqsUvo
    gi-gdkpixbuf-2.0.32-8XoUqjzoitlJYBQXp4emMb
    gi-gdkx11-3.0.13-GQaCQ7VvOAmAmOvFATYP0U
    gi-glib-2.0.29-7og9NLMo0IFKnIXBk6mWt5
    gi-gtk-3.0.39-7fzhKjx4wTZ1ZVE50Ie8B2
    gi-gtk-hs-0.3.16-CmoOlunY1y39eTywauwtYT
    gi-pango-1.0.29-8WZIzLwDaBvDI7yBaohtJ8
    gtk-sni-tray-0.1.8.1-Dl0QghBrW8KAVy857tQkSr
    gtk-strut-0.1.3.2-CFIENphH30B20KJGfn4ra2
    haskell-gi-base-0.26.6-8Q7bG4vZp6hk1q5uA8ktg
    hslogger-1.3.1.2-9kgxlGgzxgM10wI1rWL7Gt
    http-client-0.7.17-7FoGmHilSaNBsOApDiQmhp
    http-client-tls-0.3.6.4-1V2YjihKQe57spPR9YDllk
    http-conduit-2.3.9.1-13PeivXyo1qbpg9EUeBdV
    http-types-0.12.4-J2cC46jaNLuKMsPC3BpucA
    multimap-1.2.1-IfPJLlwBCWEIVO8zC2m8uz parsec-3.1.16.1
    process-1.6.18.0 rate-limit-1.4.3-BthbfOgtEPJEcM0huInRc0
    regex-compat-0.95.2.2-XQpODnagAHFJ9GlOSqau8
    safe-0.3.21-1XFtM1bx5pOJlf596bKHEa
    scotty-0.22-71ddLcQhrzDFAzIGfa1m1k
    split-0.2.5-8MbgSD03gYABvLDzr4SwW7
    status-notifier-item-0.3.1.0-3yWbnV5y9Ep9j6OApoHtfR stm-2.5.1.0
    template-haskell-2.19.0.0 text-2.0.2 time-1.12.2
    time-locale-compat-0.1.1.5-1zJhxgkP2bvGiOhYof1wNA
    time-units-1.0.0-256CNFELv6i5YiHpTvd1at transformers-0.5.6.2
    tuple-0.3.0.2-sGGwXoOU5sA8iHq03pPMG unix-2.7.3
    utf8-string-1.0.2-7x3IoasPx5wHP6oJo1JvJP
    xdg-basedir-0.2.2-GUgbFy73ZJ02w1NqlBIm8a
    xdg-desktop-entry-0.1.1.2-C1c4C8nMJaaFcwLDneW7tr
    xml-1.3.14-Lx2FeToC7XoDX0aDGC9dRG
    xml-helpers-1.0.0-3ETMafV7UcH4BpT6TqDnxm
    xmonad-0.18.0-8Znltxx15qjDe8TETO3AP3

haddock-interfaces:     /usr/share/doc/taffybar/html/taffybar.haddock
haddock-html:           /usr/share/doc/taffybar/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

